Package org.eclipse.birt.report.engine.layout.pdf.emitter

# Interface IInlineStackingLayout

All Known Implementing Classes:
  `InlineContainerLayout`, `InlineStackingLayout`, `InlineTextLayout`

public interface IInlineStackingLayout

## Method Summary

Modifier and Type
Method
Description
`boolean`
`endLine()`
`int`
`getMaxLineWidth()`
`boolean`
`isEmptyLine()`
`void`
`setTextIndent(ITextContent textContent)`

## Method Details

### endLine

boolean endLine() throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### isEmptyLine

boolean isEmptyLine()

### getMaxLineWidth

int getMaxLineWidth()

### setTextIndent

void setTextIndent(ITextContent textContent)